Author: jfrederic.clere(a)jboss.com
Date: 2007-12-11 06:03:59 -0500 (Tue, 11 Dec 2007)
New Revision: 1168
Modified:
trunk/build/unix/buildsrc.rhel-httpd.sh
Log:
Don't download the sources if they are already there.
Modified: trunk/build/unix/buildsrc.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildsrc.rhel-httpd.sh 2007-12-11 08:37:44 UTC (rev 1167)
+++ trunk/build/unix/buildsrc.rhel-httpd.sh 2007-12-11 11:03:59 UTC (rev 1168)
@@ -62,7 +62,16 @@
#
http://cvs.devel.redhat.com/repo/dist/httpd/httpd-2.2.3.tar.gz/f72ffb176e...
fname=`cat ${rhel_loc}/sources | awk '{ print $2 }'`
dir=`cat ${rhel_loc}/sources | awk '{ print $1 }'`
-wget --tries=0 --retry-connrefused
http://cvs.devel.redhat.com/repo/dist/httpd/${fname}/${dir}/${fname}
+sum="NONE"
+if [ -f ${fname} ]; then
+ sum=`openssl md5 ${fname} | awk ' { print $2 } '`
+fi
+if [ ${dir} = ${sum} ]; then
+ echo "$fname already available"
+else
+ rm -f $fname
+ wget --tries=0 --retry-connrefused
http://cvs.devel.redhat.com/repo/dist/httpd/${fname}/${dir}/${fname}
+fi
gunzip -c ${fname} | tar -xf -
dirsources=`gunzip -c ${fname} | tar -tf - | head -1 | awk '{ print $1 }'`
mv ${dirsources} ${native_dist}/srclib
@@ -79,4 +88,10 @@
chmod a+x ${WHERE}/patch.sh
(cd ${dirsources}
${WHERE}/patch.sh
-)
+)
+
+#
+# regenerate configure scripts
+(cd ${dirsources}
+ autoheader && autoconf || exit 1
+)